!*
!* Declarations
!*

Include('TableHandle.inc'), Once

!
!  Queues used within the sort class
!
SortQueueType     Queue, Type
FieldName           String(100)
FieldDisp           String(100)
QueueNum            Long
                  End
SortDisplayType   Queue, Type
FieldNum            Long
QueueNum            Long
Sort                Long
                  End
!
!  Headersort uses the tablehandlekeys class since
!    that class already contains all of the basic
!    key handling for tables.
!
HeaderSortClass   Class(TableHandleKeys), Module('HeaderSort.clw'), Link('HeaderSort.clw'), Type
!
! Global class variables
!
SortLine            String(250)
SortPos             Long
SortI               Long
SortJ               Long
SortN               Long
SortAsc             String(20)
SortDesc            String(20)
HoldString          String(200)
SortQueue           &SortQueueType
SortDisplay         &SortDisplayType
LocatorValue        String(60)
LocatorLength       Long
PrimarySortField    Long
PrimarySortOrder    String(1)
SearchFlag          Byte
CreateFlag          Byte
SortSaveFlag        Byte
AskRestoreFlag      Byte
OrigFormat          String(1024)
EV                  Group   !Environment variable
Name                  Cstring(100)
Value                 Cstring(32767)
Length                Long
                    End
HomePath            String(250)
!
!  Class procedures
!
Construct           Procedure
Destruct            Procedure
Init                Procedure(Long, *Queue, String, String, Long, String, Byte)
Kill                Procedure
SetRestoreFlag      Procedure(Byte)
FillSort            Procedure(Long, *Queue)
LoadSort            Procedure(Long, *Queue, String)
SaveSort            Procedure(Long, *Queue, String)
ReSort              Procedure(Long, *Queue, Byte)
ListAlert           Procedure(Long, *Queue)
                  End
